## kwidgetsaddons 5.62.0

=== debian/changelog ===
kwidgetsaddons (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:14 -0700

kwidgetsaddons (5.61.0-1) experimental; urgency=medium

  * New revision
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update symbols files.
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:02 +0100
