=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
+               qtbase5-dev (>= 5.11.0~),
+               qttools5-dev (>= 5.5.0~),
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwidgetsaddons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwidgetsaddons.git
 
 Package: libkf5widgetsaddons-data
 Architecture: all
@@ -33,10 +33,10 @@
  This package contains the translations.
 
 Package: libkf5widgetsaddons-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5widgetsaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.11.0~),
          ${misc:Depends},
 Recommends: libkf5widgetsaddons-doc (= ${source:Version})
 Description: development files for kwidgetsaddons
@@ -46,11 +46,16 @@
  dialogs for configuration pages, message boxes, and password requests.
  .
  Contains development files for kwidgetsaddons.
+Breaks: kross-dev (<< 5.54),
+        libkf5completion-dev (<< 5.54),
+        libkf5configwidgets-dev (<< 5.54),
+        libkf5iconthemes-dev (<< 5.54),
+        libkf5jobwidgets-dev (<< 5.54),
+        libkf5khtml-dev (<< 5.54),
 
 Package: libkf5widgetsaddons-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: add-on widgets and classes for applications that use the Qt Widgets module (documentation)
  Provided are action classes that can be added to toolbars or menus,
@@ -59,6 +64,7 @@
  dialogs for configuration pages, message boxes, and password requests.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5widgetsaddons5
 Architecture: any
@@ -71,3 +77,43 @@
  a wide range of widgets for selecting characters, fonts, colors,
  actions, dates and times, or MIME types, as well as platform-aware
  dialogs for configuration pages, message boxes, and password requests.
+Breaks: baloo-kf5 (<< 5.42),
+        frameworkintegration (<< 5.42),
+        kdesignerplugin (<< 5.54),
+        kinit (<< 5.42),
+        kio (<< 5.54),
+        kross (<< 5.54),
+        ktexteditor-katepart (<< 5.42),
+        libkf5bookmarks5 (<< 5.54),
+        libkf5completion5 (<< 5.54),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5declarative5 (<< 5.42),
+        libkf5iconthemes5 (<< 5.54),
+        libkf5jobwidgets5 (<< 5.54),
+        libkf5kcmutils5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.54),
+        libkf5khtml-bin (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krossui5 (<< 5.54),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5notifyconfig5 (<< 5.42),
+        libkf5parts-plugins (<< 5.54),
+        libkf5parts5 (<< 5.54),
+        libkf5peoplewidgets5 (<< 5.54),
+        libkf5plasma5 (<< 5.42),
+        libkf5plasmaquick5 (<< 5.42),
+        libkf5style5 (<< 5.42),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5wallet-bin (<< 5.54),
+        libkf5webkit5 (<< 5.42),
+        libkf5xmlgui5 (<< 5.54),
+        libkwalletbackend5-5 (<< 5.54),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-kio (<< 5.42),
+        qml-module-org-kde-kquickcontrols (<< 5.54),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
