## kwidgetsaddons 5.74.0

=== debian/changelog ===
kwidgetsaddons (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:01:08 +0100

kwidgetsaddons (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:00:27 +0100

kwidgetsaddons (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 14:59:15 +0100

kwidgetsaddons (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:35:02 +0100

kwidgetsaddons (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Shorten -doc package synopsis.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:34 +0100

kwidgetsaddons (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Mon, 08 Jun 2020 09:12:47 +0100

kwidgetsaddons (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.28.0-2, 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update symbols from build for 5.70.0.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:19 +0200

kwidgetsaddons (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)
  * Update symbols files

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:34:13 +0100

kwidgetsaddons (5.69.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.
  * Update install files.
  * Use the ${shlibs:Depends} substvar in libkf5widgetsaddons-dev, as it
    contains a binary now.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Apr 2020 09:24:07 +0200

kwidgetsaddons (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Update symbols from buildds for 5.62.0
  * Update symbols from build for 5.69.0.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:58:00 +0200
