=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
-Standards-Version: 4.1.4
+               qtbase5-dev (>= 5.12.0~),
+               qttools5-dev (>= 5.5.0~),
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
+Rules-Requires-Root: no
 
 Package: libkf5widgetsaddons-data
 Architecture: all
@@ -33,10 +34,10 @@
  This package contains the translations.
 
 Package: libkf5widgetsaddons-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5widgetsaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5widgetsaddons-doc (= ${source:Version})
@@ -47,26 +48,32 @@
  dialogs for configuration pages, message boxes, and password requests.
  .
  Contains development files for kwidgetsaddons.
+Breaks: kross-dev (<< 5.54),
+        libkf5completion-dev (<< 5.54),
+        libkf5configwidgets-dev (<< 5.54),
+        libkf5iconthemes-dev (<< 5.54),
+        libkf5jobwidgets-dev (<< 5.54),
+        libkf5khtml-dev (<< 5.54)
 
 Package: libkf5widgetsaddons-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
-Description: add-on widgets and classes for applications that use the Qt Widgets module (documentation)
+Description: add-on widgets and classes for applications that use the Qt Widgets module
  Provided are action classes that can be added to toolbars or menus,
  a wide range of widgets for selecting characters, fonts, colors,
  actions, dates and times, or MIME types, as well as platform-aware
  dialogs for configuration pages, message boxes, and password requests.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5widgetsaddons5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5widgetsaddons-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: add-on widgets and classes for applications that use the Qt Widgets module
  Provided are action classes that can be added to toolbars or menus,
  a wide range of widgets for selecting characters, fonts, colors,
